1. Tax Identity Verifications
  2. Create a tax identity verification
POST
/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications
curl --request POST \
     --url https://public-api.sandbox.remitian.com/v1/taxpayers/{taxpayerId}/tax-entities/{taxEntityId}/tax-identity-verifications \
     --header 'Authorization: Bearer <token>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "type": "string",
  "taxYear": 1
}'

​
Authorizations

bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.

​
Query Parameters

taxpayerId
required
string

Unique identifier of the taxpayer.

taxEntityId
required
string

Unique identifier of the tax entity.

x-api-key
required
string

API key of your Client Application.

​
Body

application/json
type
required
string

Connection type, see GET /v1/tax-identity-verifications/connection-types.

taxYear
integer

Tax year the verification refers to.

​
Response

application/json
  • 201

  • 400

  • 401

  • 403

  • 404

  • 409

Created

id
required
string

Unique identifier of the tax identity verification.

type
required
string

Connection type used to create the verification.

taxAuthority
required
string

Tax authority of the connection type, for example US_KY.

Available options: CA_CRA, CA_AB, CA_QC, US_IRS, US_GA, US_CA, US_DC, US_WI, US_CO, US_AZ, US_MA, US_NC, US_VA, US_NJ, US_FL, US_IL, US_PA, US_MD, US_TX, US_OH, US_SC, US_DE, US_UT, US_KY, US_VT, US_MI, US_MO, US_OK, US_NM, US_OR, US_PA_PHI, US_TN, US_AR, US_ID, US_IN, US_AL, US_HI, US_KS, US_CT, US_ND, US_LA, US_ME, US_IA, US_MN, US_WV, US_NE, US_NY, US_NYC, US_MS, US_MT
taxEntityType
required
string

Type of the tax entity: IrsSsn (individual) or IrsEin (business).

status
required
string

Status of the verification.

Available options: NotStarted, Created, Requested, PendingManualReview, Success, Failed, FailedMaxReached, AwaitingConfirmation